function [config, file_info] = config_clutter()

% Get the base configuration
config = config_base('icra_2015_clutter_results', ...
                     '../data/umd-part-affordance-clutter');
learned_dir = 'icra_2015_results';
config.paths.hmp_dicts = fullfile(learned_dir, 'hmp_dicts');

% Compare individual feature types ...
config.feat_sets = {...
    {'depth', 'normals', 'curvature', 'shape_index'}
    };

config.path_sets = {...
    {{'hmp_path_Cv1', 'layer_1'} ...
     {'hmp_path_Cv1', 'layer_2'}} ...
    };

exp_name = 'clutter_compare_feats';
config.split_root = 'category_split';
config.paths.model_results = fullfile(learned_dir, exp_name, ...
                                      make_model_name(config, [], 1, 1));
config.paths.pred_results = fullfile(config.paths.results, exp_name, ...
                                     make_model_name(config, [], 1, 1));

% File information for the dataset
file_info_cache = fullfile(config.paths.results, 'file_info_cache.mat');
if exist(file_info_cache, 'file')
    load(file_info_cache, 'file_info');
else
    file_info = make_file_info(config.paths.dataset, ...
                               config.data_info.token_expr);
    select_function = @(x) mod(str2num(x(end-7:end)), 3) == 1;
    file_info = filter_file_info(file_info, select_function);
    save(file_info_cache, 'file_info');
end

% Dataset splits
config.n_splits = 2;
config.splits = [1 2;  % train on 1, test on 2
                 2 1]; % train on 2, test on 1

end % compare_feats_config function
